summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/ftpsync10
1 files changed, 5 insertions, 5 deletions
diff --git a/bin/ftpsync b/bin/ftpsync
index 376202f..ad53598 100755
--- a/bin/ftpsync
+++ b/bin/ftpsync
@@ -182,13 +182,13 @@ tracefile() {
if [[ -d $(dirname "${TRACEFILE}") ]]; then
{
LC_ALL=POSIX LANG=POSIX date -u
- rfc822date=$(LC_ALL=POSIX LANG=POSIX date -u -R)
- echo "Date: ${rfc822date}"
+ if [[ date != ${EXTENDEDTRACE} ]]; then
+ rfc822date=$(LC_ALL=POSIX LANG=POSIX date -u -R)
+ echo "Date: ${rfc822date}"
- FILESOA=$(awk '/serial/ { print $3 }' ${TO}/project/trace/master || echo unknown )
- echo "Archive serial: ${FILESOA}"
+ FILESOA=$(awk '/serial/ { print $3 }' ${TO}/project/trace/master || echo unknown )
+ echo "Archive serial: ${FILESOA}"
- if [[ date != ${EXTENDEDTRACE} ]]; then
echo "Used ftpsync version: ${VERSION}"
echo "Running on host: ${TRACEHOST}"
if [[ full = ${EXTENDEDTRACE} ]]; then